Search terms - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with information about the search terms that were most popular among users in a selected period.

Method Endpoint
POST
/analytics/api/v2/searches/terms-top

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "paging": {
    "page": 1,
    "perPage": 10
  },
  "contentLocale": "en-US"
}
Field Name Type Required? Description
startDate String Yes Inclusive start date of the period (within the analytics data retention period).
endDate String Yes Exclusive end date of the period (after the start date).
paging Object Yes Element containing page and perPage elements.
page Number Yes Current page number (starts at 1).
perPage Number Yes Number of results per page.
contentLocale String Yes Combination of ISO 639-1 language code and ISO 3166-1 country code.

All of the request parameters described above are mandatory.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "paging": {
    "page": 1,
    "perPage": 10,
    "totalCount": 4120,
    "lastPage": false
  },
  "results": [
    {
      "terms": "api",
      "queryCount": 284
    },
    {
      "terms": "markdown",
      "queryCount": 153
    },
    {
      "terms": "page designer",
      "queryCount": 123
    },
    {
      "terms": "get the content",
      "queryCount": 107
    },
    {
      "terms": "upload",
      "queryCount": 104
    },
    {
      "terms": "fluid topics api reference guide",
      "queryCount": 100
    },
    {
      "terms": "analytics",
      "queryCount": 91
    },
    {
      "terms": "markdown connector configuration guide",
      "queryCount": 85
    },
    {
      "terms": "ftpub",
      "queryCount": 82
    },
    {
      "terms": "ftml",
      "queryCount": 64
    }
  ]
}
Field Type Description
startDate String The inclusive start date of the period as defined in the input.
endDate String The exclusive end date of the period as defined in the input.
page Number The current page of results.
perPage Number The number of results per page.
lastPage Boolean A boolean operator indicating whether the page is the last page of results.
totalCount Number The total number of available results.
queryCount Number The number of queries submitted during the period.
terms Array The keywords of the search query.
Return code Description
200 OK Returns 0 or more results.